package com.tzld.piaoquan.recommend.server.task;

import com.tzld.piaoquan.recommend.model.grpc.client.PredictClient;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * https://github.com/grpc-swagger/grpc-swagger/blob/master/README_CN.md
 */
@SpringBootApplication
@ComponentScan({
        "com.tzld.piaoquan.recommend.server.task.xxl",
        "com.tzld.piaoquan.recommend.server.task.remote",
        "com.tzld.piaoquan.recommend.server.task.service"
})
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }

    @Bean
    public PredictClient predictClient() {
        return new PredictClient();
    }
}

